# PulpPythonClient::PackageUpload

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**content** | **File** | A Python package release file to upload to the index. | 
**action** | **String** | Defaults to &#x60;file_upload&#x60;, don&#39;t change it or request will fail! | [optional] [default to &#39;file_upload&#39;]
**sha256_digest** | **String** | SHA256 of package to validate upload integrity. | 

## Code Sample

```ruby
require 'PulpPythonClient'

instance = PulpPythonClient::PackageUpload.new(content: null,
                                 action: null,
                                 sha256_digest: null)
```


