# PulpPythonClient::PatchedpythonPythonDistribution

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**base_path** | **String** | The base (relative) path component of the published url. Avoid paths that                     overlap with other distribution base paths (e.g. \&quot;foo\&quot; and \&quot;foo/bar\&quot;) | [optional] 
**content_guard** | **String** | An optional content-guard. | [optional] 
**pulp_labels** | [**Object**](.md) |  | [optional] 
**name** | **String** | A unique name. Ex, &#x60;rawhide&#x60; and &#x60;stable&#x60;. | [optional] 
**repository** | **String** | The latest RepositoryVersion for this Repository will be served. | [optional] 
**publication** | **String** | Publication to be served | [optional] 
**allow_uploads** | **Boolean** | Allow packages to be uploaded to this index. | [optional] [default to true]
**remote** | **String** | Remote that can be used to fetch content when using pull-through caching. | [optional] 

## Code Sample

```ruby
require 'PulpPythonClient'

instance = PulpPythonClient::PatchedpythonPythonDistribution.new(base_path: null,
                                 content_guard: null,
                                 pulp_labels: null,
                                 name: null,
                                 repository: null,
                                 publication: null,
                                 allow_uploads: null,
                                 remote: null)
```


