# PulpPythonClient::PythonBanderRemote

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**config** | **File** | A Bandersnatch config that may be used to construct a Python Remote. | 
**name** | **String** | A unique name for this remote | 
**policy** | [**PolicyEnum**](PolicyEnum.md) | The policy to use when downloading content. The possible values include: &#39;immediate&#39;, &#39;on_demand&#39;, and &#39;streamed&#39;. &#39;on_demand&#39; is the default. | [optional] 

## Code Sample

```ruby
require 'PulpPythonClient'

instance = PulpPythonClient::PythonBanderRemote.new(config: null,
                                 name: null,
                                 policy: null)
```


